Set Payment
curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/seller/order/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderList": [
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"paymentComplete": true,
"paidAt": "2019-01-16T13:00:00+01:00",
"channel": "MYBESTDEALCOMDE"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/order/payment"
payload = { "orderList": [
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"paymentComplete": True,
"paidAt": "2019-01-16T13:00:00+01:00",
"channel": "MYBESTDEALCOMDE"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderList: [
{
sellerId: '4711',
orderId: '43523-43432-43532',
paymentComplete: true,
paidAt: '2019-01-16T13:00:00+01:00',
channel: 'MYBESTDEALCOMDE'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/order/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Order
Set Payment
Set payment information for orders.
PUT
/
v1
/
seller
/
order
/
payment
Set Payment
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
Payment notification for one or more order line items reported by the seller.
Batch of payment notifications reported by the seller for marketplace orders.
Show child attributes
Show child attributes
Response
Created
Was this page helpful?
⌘I